### File

`packages/eui/packages/components-next/src/lib/components/eui-file-upload/uploaded-file/uploaded-file.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-uploaded-file`
templateUrl | `./uploaded-file.component.html`

### Index

###### Properties
Public icon Public previewData Public url
###### Methods
Public onRemoveFromList
###### Inputs
file hasPreview hasPreviewAsIcon hasPreviewAsImage index isFilenameDisplayed isFilesizeDisplayed isFiletypeDisplayed previewAsIconConfig
###### Outputs
removeFromList

### Constructor

`constructor(cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No

### Inputs

file
Type : `any`

hasPreview
Default value : `true`

hasPreviewAsIcon
Default value : `false`

hasPreviewAsImage
Default value : `true`

index
Type : `number`

isFilenameDisplayed
Default value : `true`

isFilesizeDisplayed
Default value : `true`

isFiletypeDisplayed
Default value : `true`

previewAsIconConfig
Default value : `{ 'image/jpeg': 'fa-picture-o', 'image/gif': 'fa-picture-o', 'image/png': 'fa-picture-o', 'application/msword': 'fa-file-word-o', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document': 'fa-file-word-o', 'application/vnd.ms-excel': 'fa-file-excel-o', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet': 'fa-file-excel-o', 'application/pdf': 'fa-file-pdf-o', }`

### Outputs

removeFromList
Type : `EventEmitter`

### Methods

Public onRemoveFromList
`onRemoveFromList()`
Returns : `void`

### Properties

Public icon
Type : `string`

Public previewData
Type : `literal type`

Public url
Type : `string`

# result-matching ""

# No results matching ""